<center>
# ~GLaunch~
### Easily launch gambas recent files via a system TrayIcon
~Written in Gambas basic by Bruce Steers~
</center>

<hr>

## How to Install..

Gambas basic must be installed.\
On debian/ubuntu systems...\
### '# sudo apt-get install gambas3'

(I'm not sure why I am telling you this as this is a program for gambas programmers lol)

Requires the following gambas components
gb.dbus
gb.desktop
gb.settings
gb.gui.trayicon

To Install the application just copy the glaunch.gambas file to your desired location.

### '# sudo apt-get install gambas3-gb-dbus gambas3-gb-desktop gambas3-gb-settings gambas3-gb.gui.trayicon'

## How to compile the application...

Either...

* Load the project into the gambas IDE and hit the "make executable" button to compile the glaunch.gambas file.
* or run the CompileAndMakeDesktopIcon script in the project folder and select to compile and optionally make a launcher.


## How to launch the application...

Manually...\
For first use double click the glaunch.gambas file.\
A system tray icon should appear with the gambas logo, Right click this and select "make launcher Icon", You are then asked if you want a system menu item made or a desktop launcher.

Automatically...\
Add the glaunch.gambas application to your desktop startup.\
On Debian/Ubuntu systems go to menu System/Preferences/Personal/Startup Applications and select "Add" then press the "Browse" button and select the glaunch.gambas file. also give the action a Name.\
IMPORTANT: Adjust the "Delay" to at least 2 seconds or the application can try to start before the desktop has loaded and fails.

## How to use it...

Left clicking the tray icon will pop up a list of your recent gambas projects.\
Simply click an item to load the gambas IDE with your project

Right clicking pops open a menu with various settings..

Settings...
* Auto Close on selection, closes the application after selecting an item.
* Larger/Smaller icons, change icon size in the list and for the menu on some systems.
* Limit to last 20, only show the last 20 recent items.
* Window border, adds the standard window border/frame to the list so it can be moved/resized.
* Set transparency , set window opacity
* Auto-close , enable disable the window from closing when clicking outside the list. Some systems will not allow the window to be resized/moved if auto-closing is enabled.
* Use SysTray, Select if the SystemTray icon should be used. if unselected or if Systray does not exist then a psuedo icon is used.
* Wait for SysTray. Sometimes the SysTray has not initialized before the application starts even with using auto-start delay features, use this to wait up to 60 seconds for the SysTray to be loaded.
* Show recents in menu, right clicking the TrayIcon will also show he recent projects list.
* Show file paths, the list will either show the full path or just the Project name. (the list items icon will always show full path as the tooltip)
* Make launcher, make a menu launcher or a desktop icon to run the application from it's current location.
* Run at system startup, Add glaunch to the startup applications (should work for most desktops, KDE, GNOME, MATE, CINNAMON, ETC)

Other options..
* Gambas GUI modes. This will launch the gambas IDE using either GTK or QT5 toolkit environment.
* Check for updates, Check the gitlab repository for a newer Glaunch version and download/install.
